
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #453

LyricWiki Plugin - bug in retrieving the text for some songs in Italian language

July 09, 2014 20:05 - Andrea Ciapetti

Status: Rejected Start date: July 09, 2014

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/lyricwiki Estimated time: 0.00 hour

Target version:    

Affects version: 3.5   

Description

Hi all,

I'm currently using Audacious with LyricWiki Plugin and I'm very satisfied with it.

Whenever the plugin is not able to retrieve text, you can simply create a new article on the LyricWikia Wiki.

So it's a kind of collaborative database of knowledge and I like very much this approach.

Unfortunately the plugin does not seem to work for some specific songs.

The non working ones are only Italian songs, so I think this can be related with an encoding issue for special characters like "'"

(single quote, in XML is ') or other accented characters (à, è, ì, ò, ù).

The strange thing is that the URL called is absolutely correct (turning off the network connection an error is shown with the URL

called by the plugin) and that the XML is viewable in a simple Web browser.

Two examples of this strange behaviour are:

1) Song: "Due Respiri", Artist: "Chiara", Wikia Page: "http://lyrics.wikia.com/Chiara:Due_Respiri", URL called by the plugin:

"http://lyrics.wikia.com/api.php?action=lyrics&artist=Chiara&song=Due%20Respiri&fmt=xml"

2) Song: "L'Anima Vola", Artist: "Elisa", Wikia Page: "http://lyrics.wikia.com/Elisa:L%27Anima_Vola", URL called by the plugin:

"http://lyrics.wikia.com/api.php?action=lyrics&artist=Elisa&song=L%27Anima%20Vola&fmt=xml"

The plugin simply shows the error message "Nessun testo disponibile" (italian) that means "No text available".

As a counter-example, this song works instead:

3) Song: "L'Amore Non Mi Basta", Artist: "Emma", Wikia Page: "http://lyrics.wikia.com/Emma:L%27Amore_Non_Mi_Basta", URL

called by the plugin:

"http://lyrics.wikia.com/api.php?action=lyrics&artist=Emma&song=L%27Amore%20Non%20Mi%20Basta&fmt=xml"

If someone can fix it, I think several Italian people will be very grateful.

Audacious version: Audacious 3.5 (Ubuntu package) on Ubuntu Gnome 14.04 LTS (x86_64, kernel 3.13.0-27-generic)

Thanks and best regards.

-Andrea

History

#1 - July 12, 2014 13:29 - John Lindgren

- Category set to plugins/lyricwiki

- Affects version 3.5 added

- Affects version deleted (3.5.1)

#2 - July 12, 2014 13:35 - John Lindgren

Lyrics for both songs are fetched fine here.  What is the output "audacious -V"?

#3 - July 13, 2014 16:14 - Andrea Ciapetti

- File audacious.log added

John Lindgren wrote:
Lyrics for both songs are fetched fine here.  What is the output "audacious -V"?

 

Hi John,

here's the output:

main.c:609 [main]: No remote session; starting up.

main.c:494 [init_two]: Loading configuration.

main.c:497 [init_two]: Initializing.

main.c:506 [init_two]: Loading lowlevel plugins.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/mms.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/neon.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/gio.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/xspf.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/audpl.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/asx.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/cue.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/pls.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/asx3.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/m3u.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/console.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/flacng.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/vtx.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/sid.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/cdaudio-ng.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/sndfile.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/tonegen.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/adplug.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/psf2.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/aac.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/amidi-plug.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/wavpack.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/vorbis.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/xsf.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/ffaudio.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/metronom.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/aac-raw.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/madplug.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/modplug.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/sdlout.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/oss4.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/alsa.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/filewriter.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/jackout.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/pulse_audio.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/crystalizer.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/bs2b.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/echo.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/stereo.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/voice_removal.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/crossfade.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/mixer.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/ladspa.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/compressor.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/resample.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/speed-pitch.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/scrobbler.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/hotkey.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/song_change.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/alarm.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/skins.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/notify.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/gnomeshortcuts.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/lirc.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/mpris2.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/delete-files.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/search-tool.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/aosd.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/lyricwiki.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/albumart.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/statusicon.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/cd-menu-items.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/gtkui.so
plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualization/blur_scope.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualization/cairo-spectrum.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualization/gl-spectrum.so

plugin-init.c:85 [start_single]: Starting selected output plugin Uscita PulseAudio.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/pulse_audio.so.

plugin-init.c:115 [start_multi_cb]: Starting Blur Scope.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualization/blur_scope.so.

main.c:509 [init_two]: Starting worker threads.

main.c:513 [init_two]: Restoring state.

playlist-files.c:90 [playlist_load]: Loading playlist file:///home/ciaps/.config/audacious/playlists/1000.audpl.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/audpl.so.

VFS: <0x1de80c0> open (mode r) file:///home/ciaps/.config/audacious/playlists/1000.audpl

VFS: <0x1de80c0> close

playlist-files.c:90 [playlist_load]: Loading playlist file:///home/ciaps/.config/audacious/playlists/1001.audpl.

VFS: <0x1de8160> open (mode r) file:///home/ciaps/.config/audacious/playlists/1001.audpl

VFS: <0x1de8160> close

main.c:518 [init_two]: Loading highlevel plugins.

plugin-init.c:115 [start_multi_cb]: Starting Icona di stato.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/statusicon.so.

plugin-init.c:115 [start_multi_cb]: Starting Notifiche Desktop.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/notify.so.

plugin-init.c:115 [start_multi_cb]: Starting Plugin LyricWiki.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/lyricwiki.so.

plugin-init.c:115 [start_multi_cb]: Starting Scorciatoie Gnome.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/gnomeshortcuts.so.

plugin-init.c:115 [start_multi_cb]: Starting Server MPRIS 2.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/mpris2.so.

plugin-init.c:115 [start_multi_cb]: Starting Voci di menu CD Audio.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/cd-menu-items.so.

plugin-init.c:85 [start_single]: Starting selected interface plugin Interfaccia GTK.

interface.c:197 [iface_plugin_set_current]: Loading Interfaccia GTK.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/gtkui.so.

ui_gtk.c:807 [init]: hooks associate

ui_gtk.c:810 [init]: playlist associate

interface.c:204 [iface_plugin_set_current]: Loading visualizers.

visualization.c:133 [vis_load]: Loading Blur Scope.

visualization.c:147 [vis_load]: Adding Blur Scope to interface.

interface.c:207 [iface_plugin_set_current]: Loading plugin widgets.

general.c:50 [general_load]: Loading Icona di stato.

general.c:50 [general_load]: Loading Notifiche Desktop.

general.c:50 [general_load]: Loading Plugin LyricWiki.

general.c:64 [general_load]: Adding Plugin LyricWiki to interface.

general.c:50 [general_load]: Loading Scorciatoie Gnome.

general.c:50 [general_load]: Loading Server MPRIS 2.

general.c:50 [general_load]: Loading Voci di menu CD Audio.

main.c:612 [main]: Startup complete.

main.c:528 [shut_down]: Saving playlist state.

main.c:531 [shut_down]: Unloading highlevel plugins.

plugin-init.c:188 [stop_plugins]: Shutting down Interfaccia GTK.

interface.c:183 [iface_plugin_set_current]: Unloading plugin widgets.

general.c:80 [general_unload]: Unloading Voci di menu CD Audio.

general.c:80 [general_unload]: Unloading Server MPRIS 2.

general.c:80 [general_unload]: Unloading Scorciatoie Gnome.

general.c:80 [general_unload]: Unloading Plugin LyricWiki.

general.c:86 [general_unload]: Removing Plugin LyricWiki from interface.

general.c:80 [general_unload]: Unloading Notifiche Desktop.

general.c:80 [general_unload]: Unloading Icona di stato.

interface.c:186 [iface_plugin_set_current]: Unloading visualizers.

visualization.c:172 [vis_unload]: Unloading Blur Scope.

visualization.c:188 [vis_unload]: Removing Blur Scope from interface.

interface.c:189 [iface_plugin_set_current]: Unloading Interfaccia GTK.

plugin-init.c:173 [stop_multi_cb]: Shutting down Icona di stato.

plugin-init.c:173 [stop_multi_cb]: Shutting down Notifiche Desktop.

plugin-init.c:173 [stop_multi_cb]: Shutting down Plugin LyricWiki.

plugin-init.c:173 [stop_multi_cb]: Shutting down Scorciatoie Gnome.

plugin-init.c:173 [stop_multi_cb]: Shutting down Server MPRIS 2.

plugin-init.c:173 [stop_multi_cb]: Shutting down Voci di menu CD Audio.

main.c:538 [shut_down]: Stopping playback.

main.c:542 [shut_down]: Stopping worker threads.

main.c:546 [shut_down]: Unloading lowlevel plugins.

plugin-init.c:173 [stop_multi_cb]: Shutting down Blur Scope.

plugin-init.c:188 [stop_plugins]: Shutting down Uscita PulseAudio.

main.c:551 [shut_down]: Saving configuration.

main.c:555 [shut_down]: Cleaning up.
#4 - July 14, 2014 13:51 - John Lindgren

I should have been clearer.  I meant, please post the output when the problem occurs.

#5 - July 14, 2014 15:04 - Andrea Ciapetti

Strange, now they both work also in my environment. Can be a local cache problem?

When I have created them on the Wiki, it was not possible to retrieve them for several hours,

even after closing Audacious and restarting it.

Now, after some days, they are working well. I have not tested them again in the meantime,

so I can't say when they have started to work.

Anyway, thanks for the help.

Should I close the issue or mark as SOLVED in some way?

BR Andrea

#6 - July 14, 2014 21:13 - John Lindgren

- Status changed from New to Rejected

Audacious does not use any local HTTP cache, so it sounds like a server problem.  I'll go ahead and close this report since it's working now.

Files

audacious.log 12.1 KB July 13, 2014 Andrea Ciapetti
